namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_highlight_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_highlight_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_highlight_set( ::efl::eolian::in_traits<bool>::type highlight) const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_highlight_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Web::useragent_get() const
{
   const char * __return_value =  ::elm_obj_web_useragent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::useragent_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type user_agent) const
{
    ::elm_obj_web_useragent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(user_agent));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Web::url_get() const
{
   const char * __return_value =  ::elm_obj_web_url_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::url_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type url) const
{
   Eina_Bool __return_value =  ::elm_obj_web_url_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(url));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::bg_color_get( ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const
{
   int __out_param_r = {};
   int __out_param_g = {};
   int __out_param_b = {};
   int __out_param_a = {};
    ::elm_obj_web_bg_color_get(this->_eo_ptr()
      , & __out_param_r
      , & __out_param_g
      , & __out_param_b
      , & __out_param_a);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(g, __out_param_g);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(b, __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(a, __out_param_a);
}
inline ::efl::eolian::return_traits<void>::type Web::bg_color_set( ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const
{
    ::elm_obj_web_bg_color_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(r)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(g)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(b)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(a));
}
inline ::efl::eolian::return_traits<bool>::type Web::inwin_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_inwin_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::inwin_mode_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::elm_obj_web_inwin_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Web::tab_propagate_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_tab_propagate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::tab_propagate_set( ::efl::eolian::in_traits<bool>::type propagate) const
{
    ::elm_obj_web_tab_propagate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(propagate));
}
inline ::efl::eolian::return_traits<bool>::type Web::history_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_history_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::history_enabled_set( ::efl::eolian::in_traits<bool>::type enable) const
{
    ::elm_obj_web_history_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
inline ::efl::eolian::return_traits<Elm_Web_Zoom_Mode>::type Web::zoom_mode_get() const
{
   Elm_Web_Zoom_Mode __return_value =  ::elm_obj_web_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Web_Zoom_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::zoom_mode_set( ::efl::eolian::in_traits<Elm_Web_Zoom_Mode>::type mode) const
{
    ::elm_obj_web_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Web_Zoom_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<double>::type Web::zoom_get() const
{
   double __return_value =  ::elm_obj_web_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::zoom_set( ::efl::eolian::in_traits<double>::type zoom) const
{
    ::elm_obj_web_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(zoom));
}
inline ::efl::eolian::return_traits<void>::type Web::console_message_hook_set( ::efl::eolian::in_traits<Elm_Web_Console_Message>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_console_message_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Console_Message,  ::efl::eolian::in_traits<Elm_Web_Console_Message>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::window_create_hook_set( ::efl::eolian::in_traits<Elm_Web_Window_Open>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_window_create_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Window_Open,  ::efl::eolian::in_traits<Elm_Web_Window_Open>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_file_selector_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_File_Selector>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_file_selector_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_File_Selector,  ::efl::eolian::in_traits<Elm_Web_Dialog_File_Selector>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_confirm_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Confirm>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_confirm_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Confirm,  ::efl::eolian::in_traits<Elm_Web_Dialog_Confirm>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::popup_selected_set( ::efl::eolian::in_traits<int>::type idx) const
{
    ::elm_obj_web_popup_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(idx));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_prompt_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Prompt>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_prompt_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Prompt,  ::efl::eolian::in_traits<Elm_Web_Dialog_Prompt>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_alert_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Alert>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_alert_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Alert,  ::efl::eolian::in_traits<Elm_Web_Dialog_Alert>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<bool>::type Web::forward_possible_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_forward_possible_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Web::webkit_view_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_web_webkit_view_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::back_possible_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_back_possible_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Web::load_progress_get() const
{
   double __return_value =  ::elm_obj_web_load_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::std::string>::type Web::selection_get() const
{
   const char * __return_value =  ::elm_obj_web_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::std::string>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::std::string>::type Web::title_get() const
{
   const char * __return_value =  ::elm_obj_web_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::std::string>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::navigate( ::efl::eolian::in_traits<int>::type steps) const
{
   Eina_Bool __return_value =  ::elm_obj_web_navigate(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(steps));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::back() const
{
   Eina_Bool __return_value =  ::elm_obj_web_back(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::html_string_load( ::efl::eolian::in_traits< ::efl::eina::string_view>::type html,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type base_url,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type unreachable_url) const
{
   Eina_Bool __return_value =  ::elm_obj_web_html_string_load(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(html)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(base_url)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(unreachable_url));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_search( ::efl::eolian::in_traits< ::efl::eina::string_view>::type string,  ::efl::eolian::in_traits<bool>::type case_sensitive,  ::efl::eolian::in_traits<bool>::type forward,  ::efl::eolian::in_traits<bool>::type wrap) const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_search(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(string)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(case_sensitive)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(forward)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(wrap));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::popup_destroy() const
{
   Eina_Bool __return_value =  ::elm_obj_web_popup_destroy(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::region_show( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_web_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<bool>::type Web::forward() const
{
   Eina_Bool __return_value =  ::elm_obj_web_forward(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Web::text_matches_mark( ::efl::eolian::in_traits< ::efl::eina::string_view>::type string,  ::efl::eolian::in_traits<bool>::type case_sensitive,  ::efl::eolian::in_traits<bool>::type highlight,  ::efl::eolian::in_traits< unsigned int>::type limit) const
{
   unsigned int __return_value =  ::elm_obj_web_text_matches_mark(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(string)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(case_sensitive)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight)
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(limit));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::region_bring_in( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_web_region_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<bool>::type Web::stop() const
{
   Eina_Bool __return_value =  ::elm_obj_web_stop(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::navigate_possible_get( ::efl::eolian::in_traits<int>::type steps) const
{
   Eina_Bool __return_value =  ::elm_obj_web_navigate_possible_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(steps));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::reload_full() const
{
   Eina_Bool __return_value =  ::elm_obj_web_reload_full(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_unmark_all() const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_unmark_all(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::reload() const
{
   Eina_Bool __return_value =  ::elm_obj_web_reload(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_highlight_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_highlight_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_highlight_set( ::efl::eolian::in_traits<bool>::type highlight) const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_highlight_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Web::useragent_get() const
{
   const char * __return_value =  ::elm_obj_web_useragent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::useragent_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type user_agent) const
{
    ::elm_obj_web_useragent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(user_agent));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Web::url_get() const
{
   const char * __return_value =  ::elm_obj_web_url_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::url_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type url) const
{
   Eina_Bool __return_value =  ::elm_obj_web_url_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(url));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::bg_color_get( ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const
{
   int __out_param_r = {};
   int __out_param_g = {};
   int __out_param_b = {};
   int __out_param_a = {};
    ::elm_obj_web_bg_color_get(this->_eo_ptr()
      , & __out_param_r
      , & __out_param_g
      , & __out_param_b
      , & __out_param_a);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(g, __out_param_g);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(b, __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(a, __out_param_a);
}
inline ::efl::eolian::return_traits<void>::type Web::bg_color_set( ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const
{
    ::elm_obj_web_bg_color_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(r)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(g)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(b)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(a));
}
inline ::efl::eolian::return_traits<bool>::type Web::inwin_mode_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_inwin_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::inwin_mode_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::elm_obj_web_inwin_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Web::tab_propagate_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_tab_propagate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::tab_propagate_set( ::efl::eolian::in_traits<bool>::type propagate) const
{
    ::elm_obj_web_tab_propagate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(propagate));
}
inline ::efl::eolian::return_traits<bool>::type Web::history_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_history_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::history_enabled_set( ::efl::eolian::in_traits<bool>::type enable) const
{
    ::elm_obj_web_history_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
inline ::efl::eolian::return_traits<Elm_Web_Zoom_Mode>::type Web::zoom_mode_get() const
{
   Elm_Web_Zoom_Mode __return_value =  ::elm_obj_web_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Web_Zoom_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::zoom_mode_set( ::efl::eolian::in_traits<Elm_Web_Zoom_Mode>::type mode) const
{
    ::elm_obj_web_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Web_Zoom_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<double>::type Web::zoom_get() const
{
   double __return_value =  ::elm_obj_web_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::zoom_set( ::efl::eolian::in_traits<double>::type zoom) const
{
    ::elm_obj_web_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(zoom));
}
inline ::efl::eolian::return_traits<void>::type Web::console_message_hook_set( ::efl::eolian::in_traits<Elm_Web_Console_Message>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_console_message_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Console_Message,  ::efl::eolian::in_traits<Elm_Web_Console_Message>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::window_create_hook_set( ::efl::eolian::in_traits<Elm_Web_Window_Open>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_window_create_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Window_Open,  ::efl::eolian::in_traits<Elm_Web_Window_Open>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_file_selector_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_File_Selector>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_file_selector_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_File_Selector,  ::efl::eolian::in_traits<Elm_Web_Dialog_File_Selector>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_confirm_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Confirm>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_confirm_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Confirm,  ::efl::eolian::in_traits<Elm_Web_Dialog_Confirm>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::popup_selected_set( ::efl::eolian::in_traits<int>::type idx) const
{
    ::elm_obj_web_popup_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(idx));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_prompt_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Prompt>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_prompt_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Prompt,  ::efl::eolian::in_traits<Elm_Web_Dialog_Prompt>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Web::dialog_alert_hook_set( ::efl::eolian::in_traits<Elm_Web_Dialog_Alert>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_web_dialog_alert_hook_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Web_Dialog_Alert,  ::efl::eolian::in_traits<Elm_Web_Dialog_Alert>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<bool>::type Web::forward_possible_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_forward_possible_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Web::webkit_view_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_web_webkit_view_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::back_possible_get() const
{
   Eina_Bool __return_value =  ::elm_obj_web_back_possible_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Web::load_progress_get() const
{
   double __return_value =  ::elm_obj_web_load_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::std::string>::type Web::selection_get() const
{
   const char * __return_value =  ::elm_obj_web_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::std::string>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::std::string>::type Web::title_get() const
{
   const char * __return_value =  ::elm_obj_web_title_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::std::string>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::navigate( ::efl::eolian::in_traits<int>::type steps) const
{
   Eina_Bool __return_value =  ::elm_obj_web_navigate(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(steps));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::back() const
{
   Eina_Bool __return_value =  ::elm_obj_web_back(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::html_string_load( ::efl::eolian::in_traits< ::efl::eina::string_view>::type html,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type base_url,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type unreachable_url) const
{
   Eina_Bool __return_value =  ::elm_obj_web_html_string_load(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(html)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(base_url)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(unreachable_url));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_search( ::efl::eolian::in_traits< ::efl::eina::string_view>::type string,  ::efl::eolian::in_traits<bool>::type case_sensitive,  ::efl::eolian::in_traits<bool>::type forward,  ::efl::eolian::in_traits<bool>::type wrap) const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_search(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(string)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(case_sensitive)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(forward)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(wrap));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::popup_destroy() const
{
   Eina_Bool __return_value =  ::elm_obj_web_popup_destroy(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::region_show( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_web_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<bool>::type Web::forward() const
{
   Eina_Bool __return_value =  ::elm_obj_web_forward(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Web::text_matches_mark( ::efl::eolian::in_traits< ::efl::eina::string_view>::type string,  ::efl::eolian::in_traits<bool>::type case_sensitive,  ::efl::eolian::in_traits<bool>::type highlight,  ::efl::eolian::in_traits< unsigned int>::type limit) const
{
   unsigned int __return_value =  ::elm_obj_web_text_matches_mark(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(string)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(case_sensitive)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(highlight)
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(limit));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Web::region_bring_in( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_web_region_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<bool>::type Web::stop() const
{
   Eina_Bool __return_value =  ::elm_obj_web_stop(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::navigate_possible_get( ::efl::eolian::in_traits<int>::type steps) const
{
   Eina_Bool __return_value =  ::elm_obj_web_navigate_possible_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(steps));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::reload_full() const
{
   Eina_Bool __return_value =  ::elm_obj_web_reload_full(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::text_matches_unmark_all() const
{
   Eina_Bool __return_value =  ::elm_obj_web_text_matches_unmark_all(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Web::reload() const
{
   Eina_Bool __return_value =  ::elm_obj_web_reload(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline elm::Web::operator ::elm::Web() const { return *static_cast< ::elm::Web const*>(static_cast<void const*>(this)); }
inline elm::Web::operator ::elm::Web&() { return *static_cast< ::elm::Web*>(static_cast<void*>(this)); }
inline elm::Web::operator ::elm::Web const&() const { return *static_cast< ::elm::Web const*>(static_cast<void const*>(this)); }
} }

